# electrical

**Type:** mxgraph shapes
**Prefix:** `mxgraph.electrical`

## Usage

```xml
<mxCell value="label" style="shape=mxgraph.electrical.resistors.resistor_1;" vertex="1" parent="1">
  <mxGeometry x="0" y="0" width="60" height="20" as="geometry" />
</mxCell>
```

Shapes are organized by category: `mxgraph.electrical.{category}.{shape}`

## Categories

### resistors
- `resistor_1`
- `resistor_2`

### capacitors
- `capacitor_1`
- `capacitor_3`

### inductors
- `inductor_3`
- `transformer_1`

### diodes
- `diode`
- `zener_diode_1`

### transistors
- `npn_transistor_1`
- `pnp_transistor_1`

### mosfets1
- `n-channel_mosfet_1`
- `p-channel_mosfet_1`

### logic_gates
- `logic_gate`
- `dual_inline_ic`

### electro-mechanical
- `singleSwitch`
- `pushbutton`

(See draw.io Electrical shape library for complete list)
